Bug 126414 - CAN-2004-0415 file offset pointer signedness issues
CAN-2004-0415 file offset pointer signedness issues
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-21 07:19 EDT by Mark J. Cox
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 18:36:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:413 normal SHIPPED_LIVE Important: kernel security update 2004-08-03 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2004-06-21 07:19:34 EDT
Embargoed until Jun29 1600 MEST

isec.pl reported on May24 file offset pointer vulnerabilities allowing
read of kernel memory.  They noted "dozens of places" with vulnerable
code and gave poc based on MTRR race.
Comment 2 Ernie Petrides 2004-06-21 20:01:04 EDT
Hi, Al.  This issue is embargoed until June 29th, but we'd like to
have a RHEL3 E3-stream security errata developed in the meantime
(which will be released before U3 is released).
Comment 4 Mark J. Cox 2004-07-23 03:47:57 EDT
Due to the complexity of the issue and fixes the embargo has been
moved, currently set at Aug 3rd at 1700 UTC
Comment 5 Ernie Petrides 2004-07-31 01:59:09 EDT
A fix for this problem has just been committed to the RHEL3 E3
patch pool (in kernel version 2.4.21-15.0.4.EL).
Comment 6 Mark J. Cox 2004-08-03 13:59:05 EDT
Errata in QA; removing embargo
Comment 7 Mark J. Cox 2004-08-03 18:36:27 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-413.html
Comment 8 Ernie Petrides 2004-08-12 23:48:28 EDT
These fixes have also been propagated to the RHEL3 U3 patch pool with
tonight's commits for the U3 respin (in kernel version 2.4.21-19.EL).

Note You need to log in before you can comment on or make changes to this bug.